package kr.co.vividnext.sodalive.can.coupon

import com.querydsl.core.annotations.QueryProjection

data class GetCouponListResponse(
    val totalCount: Int,
    val items: List<GetCouponListItemResponse>
)

data class GetCouponListItemResponse @QueryProjection constructor(
    val id: Long,
    val couponName: String,
    val can: Int,
    val couponCount: Int,
    var useCouponCount: Int,
    val validity: String,
    val isMultipleUse: Boolean,
    val isActive: Boolean
)
