package kr.co.vividnext.sodalive.content.series

data class GetSeriesListResponse(
    val totalCount: Int,
    val items: List<SeriesListItem>
) {
    data class SeriesListItem(
        val seriesId: Long,
        val title: String,
        val coverImage: String,
        val publishedDaysOfWeek: String,
        val isComplete: Boolean = false,
        val creator: SeriesListItemCreator,
        var numberOfContent: Int = 0,
        var isNew: Boolean = false,
        var isPopular: Boolean = false
    )

    data class SeriesListItemCreator(
        val creatorId: Long,
        val nickname: String,
        val profileImage: String
    )
}
