package kr.co.vividnext.sodalive.creator.admin.content.category

import com.querydsl.core.annotations.QueryProjection

data class GetContentInCategoryResponse(
    val totalCount: Int,
    val items: List<GetContentInCategoryItem>
)

data class GetContentInCategoryItem @QueryProjection constructor(
    val contentId: Long,
    val title: String,
    val isAdult: Boolean,
    val image: String
)
