package kr.co.vividnext.sodalive.content.main

import com.fasterxml.jackson.annotation.JsonProperty
import com.querydsl.core.annotations.QueryProjection

data class GetAudioContentRanking(
    @JsonProperty("startDate") val startDate: String,
    @JsonProperty("endDate") val endDate: String,
    @JsonProperty("items") val items: List<GetAudioContentRankingItem>
)

data class GetAudioContentRankingItem @QueryProjection constructor(
    @JsonProperty("contentId") val contentId: Long,
    @JsonProperty("title") val title: String,
    @JsonProperty("coverImageUrl") val coverImageUrl: String,
    @JsonProperty("themeStr") val themeStr: String,
    @JsonProperty("price") val price: Int,
    @JsonProperty("duration") val duration: String,
    @JsonProperty("creatorId") val creatorId: Long,
    @JsonProperty("creatorNickname") val creatorNickname: String
)
