package kr.co.vividnext.sodalive.content.series

import kr.co.vividnext.sodalive.content.series.content.GetSeriesContentListItem

data class GetSeriesDetailResponse(
    val seriesId: Long,
    val title: String,
    val coverImage: String,
    val introduction: String,
    val genre: String,
    val isAdult: Boolean,
    val writer: String?,
    val studio: String?,
    val publishedDate: String,
    val creator: GetSeriesDetailCreator,
    var rentalMinPrice: Int,
    var rentalMaxPrice: Int,
    val rentalPeriod: Int,
    val minPrice: Int,
    val maxPrice: Int,
    val keywordList: List<String>,
    val publishedDaysOfWeek: String,
    val contentList: List<GetSeriesContentListItem>,
    val contentCount: Int
) {
    data class GetSeriesDetailCreator(
        val creatorId: Long,
        val nickname: String,
        val profileImage: String,
        val isFollow: Boolean
    )
}
