package kr.co.vividnext.sodalive.creator.admin.content.series

data class GetCreatorAdminContentSeriesListResponse(
    val totalCount: Int,
    val items: List<GetCreatorAdminContentSeriesListItem>
)

data class GetCreatorAdminContentSeriesListItem(
    val seriesId: Long,
    val title: String,
    val introduction: String,
    val coverImageUrl: String,
    val publishedDaysOfWeek: List<SeriesPublishedDaysOfWeek>,
    val genreId: Long,
    val isAdult: Boolean,
    val state: SeriesState,
    val isActive: Boolean,
    val writer: String?,
    val studio: String?
)
